<?php
$helper = $this->helper('MGS\Blog\Helper\Data');
$collection = $block->getCollection();
$collectionLatest = $block->getLatestCollection();

$showThumbnail = $this->getConfig('general_settings/show_thumbnail');

?>
<?php if (!count($collection)): ?>
    <div class="message empty">
        <div><?php echo __('Have no posts.') ?></div>
    </div>
<?php else: ?>
  <div class="blog-wrapper">
    <div class="container">      
      <div class="row">
        <div class="col-sm-12">
          <div class="blog-list">
              <?php foreach ($collection as $post): ?>
                  <div class="blog-post post-item-info">
                    <div class="row">
                      <div class="col-md-5">
                        <div class="post-image <?php if ($showThumbnail): ?>has-image<?php endif; ?>">
                					<?php //echo $helper->getImagePost($post); ?>
                					<div class="post-info hide">
                						<div>
                							<span class="published-by">
                								<?php echo __('By ')?>
                								<span class="text-capitalize">
                									<?php if ($post->getUpdatedByUser()): ?>
                										<?php echo __('%1', $post->getUpdatedByUser()); ?>
                									<?php else: ?>
                										<?php echo __('%1', $post->getUser()); ?>
                									<?php endif; ?>
                								</span>
                							</span>

                							<?php if ($post->getTags()): ?>
                							<?php $tags = explode(',', $post->getTags()); ?>
                								<span class="post-tags">
                								   <?php echo __('Tag ')?>
                								   <?php foreach ($tags as $tag): ?>
                									  <a class="text-capitalize" title="<?php echo trim($tag); ?>" href="<?php echo $helper->getTagUrl(trim($tag)); ?>"><?php echo trim($tag); ?></a>
                								   <?php endforeach; ?>
                							   </span>
                						   <?php endif; ?>

                							<?php if ($this->getConfig('comment_settings/enabled')): ?>
                								<span class="comment-link">
                									<?php echo __(' - '); ?>
                									<a href="<?php echo $post->getPostUrlWithNoCategory(); ?>#comment-box">
                									<?php echo __('%1 comment(s)', $post->getCommentCount()) ?>
                									</a>
                								</span>
                							<?php endif; ?>
                						</div>

                						<div class="create-post-time"><?php echo __('%1', $block->formatDate($post->getCreatedAt(), \IntlDateFormatter::MEDIUM, false)); ?></div>
                					</div>

                          <?php echo $helper->getThumbnail($post); ?>
                				</div>
                      </div>

              				<div class="col-md-7">
                        <?php if ($post->getShortContent()): ?>
                					<div class="post-content">
                            <h4 class="post-title">
                							 <a class="post-title-link" title="<?php echo $post->getTitle(); ?>" href="<?php echo $post->getPostUrlWithNoCategory(); ?>"><?php echo $post->getTitle(); ?></a>
                						</h4>
                						<div class="post-short-description">
                							<p><?php echo $post->getShortContent(); ?></p>
                						</div>
                						<div class="post-link">
                							<a class="btn btn-primary" title="<?php echo __('Continue reading'); ?>" href="<?php echo $post->getPostUrlWithNoCategory(); ?>"><?php echo __('Continue Reading'); ?><span class="screen-reader-text"><?php echo $post->getTitle(); ?></span></a>
                						</div>
                					</div>
                				<?php endif; ?>
                      </div>
                    </div>
                  </div>
              <?php endforeach; ?>
              <div class="bottom-pagination">
            		<div class="toolbar"><?php echo $block->getPagerHtml(); ?></div>
            	</div>
          </div>
        </div>
        <!-- <div class="col-sm-4">
          <div class="block block-blog-categories">
            <div class="block-title">
              <h3 class="title">BROWSE BY CATEGORY</h3>
            </div>
            <div class="block-content">
              <ul>
                <?php $categories = $helper->getCategories(); ?>
                 <?php if (count($categories)){ ?>
                  <?php foreach ($categories as $category){ ?>
                <li><a title="<?php echo $category->getTitle(); ?>"
                     href="<?php echo $category->getCategoryUrl(); ?>">
                    <?php echo $category->getTitle(); ?>
                  </a></li>
                <?php } ?>
              <?php } ?>
              </ul>
            </div>
          </div>
        </div> -->
      </div>
    </div><!-- End container -->
  </div><!-- End blog-wrapper -->

<?php endif; ?>
